Bug 477493 - Installer branding is inconsistent
Installer branding is inconsistent
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Mráka
Steve Salevan
:
Depends On:
Blocks: 463876
  Show dependency treegraph
 
Reported: 2008-12-20 20:46 EST by Todd Sanders
Modified: 2009-09-10 14:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:53:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Sanders 2008-12-20 20:46:58 EST
Description of problem:

Installer (install.pl) console output makes references to spacewalk, rhn, & satellite.  We need to be consistent in our branding.

Ideally, these references would be tags so that if (and when) are branding changes, we can react.

<snip>

* Applying updates.
* Installing RHN packages.
* Now running spacewalk-setup.
* Loading answer file: /usr/share/spacewalk/setup/defaults.conf.
Only one database option available, assuming: oracle
* Setting up Oracle environment.
* Setting up database.
** Database: Installing the embedded database (not the schema).
** Database: Shutting down the database first.
** Database: Installing the database:
** Database: This is a long process that is logged in:
** Database:   /var/log/rhn/install_db.log
*** Progress: ############################################
** Database: Installation complete.
** Database: Setting up database connection.
** Database: Testing database connection.
** Database: Populating database.
*** Progress: ##################################################################
* Setting up users and groups.
** GPG: Initializing GPG and importing key.
** GPG: Creating /root/.gnupg directory
You must enter an email address.
Admin Email Address? tsanders@redhat.com
* Performing initial configuration.
* Activating Satellite.

</snip>


Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20081219.0-i386-embedded-oracle.iso
Comment 1 Michael Mráka 2008-12-22 09:56:01 EST
Fixed in
commit 6c1e01fdf1cdc00f356af1379b9b87639130e0c2
    Automatic commit of package [spacewalk-setup] release [0.4.17-1].
commit 866c8172038632c6d77424eb2f6e4c96a9fde156
    477493 - replaced Satellite/Spacewalk with $product_name
Comment 2 Steve Salevan 2009-01-21 15:42:59 EST
I ran through the Satellite 530 (re20081223.2) installation and discovered naught a single reference to Spacewalk or RHN (except where appropriate, such as 'RHN Registration".  Moving this over to VERIFIED.
Comment 3 Miroslav Suchý 2009-08-10 10:04:03 EDT
verified in stage
Comment 4 Brandon Perkins 2009-09-10 14:53:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.